package org.jenkinsci.plugins.p4_client.workspace;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class ClientTags {

	private static Map<String, String> map;

	static {
		map = new HashMap<String, String>();
		map.put("node", null);
		map.put("project", null);
		map.put("hostname", null);
		map.put("hash", null);
	}

	public static Set<String> getTags() {
		return map.keySet();
	}

	public static String getFormattedName(String format) {
		String name = format;
		for (String tag : map.keySet()) {
			String value = map.get(tag);
			if (value != null) {
				name = name.replace("${" + tag + "}", value);
			}
		}
		return name;
	}

	public static void set(String tag, String value) {
		map.put(tag, value);
	}
}
